import request from '@/utils/request'

// 查询仓储费明细表列表
export function listAgreementitems(query) {
  return request({
    url: '/warehouseBusiness/agreementitems/list',
    method: 'get',
    params: query
  })
}

// 查询仓储费明细表详细
export function getAgreementitems(fId) {
  return request({
    url: '/warehouseBusiness/agreementitems/' + fId,
    method: 'get'
  })
}

// 新增仓储费明细表
export function addAgreementitems(data) {
  return request({
    url: '/warehouseBusiness/agreementitems',
    method: 'post',
    data: data
  })
}

// 修改仓储费明细表
export function updateAgreementitems(data) {
  return request({
    url: '/warehouseBusiness/agreementitems',
    method: 'put',
    data: data
  })
}

// 删除仓储费明细表
export function delAgreementitems(fId) {
  return request({
    url: '/warehouseBusiness/agreementitems/' + fId,
    method: 'delete'
  })
}

// 导出仓储费明细表
export function exportAgreementitems(query) {
  return request({
    url: '/warehouseBusiness/agreementitems/export',
    method: 'get',
    params: query
  })
}